Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 586069 - png2theora works poorly with images with an alpha channel
png2theora works poorly with images with an alpha channel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libtheora (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 14:20 EDT by Josh Cogliati
Modified: 2013-01-10 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 18:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Cogliati 2010-04-26 14:20:46 EDT
Description of problem:
png2theora creates poor quality videos when images are created with imagemagick.  They have strange artifacts.  

Version-Release number of selected component (if applicable):
theora-tools-1.1.0-1.fc12.x86_64
ImageMagick-6.5.4.7-3.fc12.x86_64


How reproducible:
Every time via the following script.

Steps to Reproduce:
convert -size 640x480 xc:white -pointsize 32 -draw "text 10,40 'This is a test'" test_im.png

for I in `seq 10 40`; do cp test_im.png $I.png; done

png2theora %d.png -o test.ogg

  
Actual results:
The text "This is a test" has white for the color of the background, instead of black.  This makes the text hard to see.  Compare the text in the test_im.png and the test.ogg file.


Expected results:
The output should look more like the result of the next two commands:
for I in [0-9]*.png; do echo $I; pngtopnm $I > /tmp/temp.pnm; pnmtopng /tmp/temp.pnm > p$I; rm -f /tmp/temp.pnm; done

png2theora p%d.png -o ptest.ogg

#In that case, the text looks fine.  

Additional info:
I am not sure why this works when the pngtopnm/pnmtopng is done, but that fixes the problem.  Either png2theora should warn about whatever feature imagemagick is using, or png2theora should output the correct result.  This makes generating text for a video with imagemagick painful, because of the extra voodoo pnm step.  

Reported as distribution component since theora-tools does not seem to exist.
Comment 1 Josh Cogliati 2010-04-28 10:56:08 EDT
The problem with the images is the alpha channel.  If it is removed, the images can be used fine.  

convert test_im.png -alpha off test_na.png

Note that the file test_im.png is opaque everywhere, it just has a alpha channel that says that.
Comment 2 Bug Zapper 2010-11-03 12:15:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Josh Cogliati 2010-11-07 10:06:40 EST
Still occurs in:
theora-tools-1.1.1-1.fc13.x86_64
Comment 4 Josh Cogliati 2010-11-07 10:07:30 EST
Bumping version
Comment 5 Bug Zapper 2011-06-02 10:49:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Josh Cogliati 2011-06-03 18:39:17 EDT
Seems to be fixed in Fedora 15.

Note You need to log in before you can comment on or make changes to this bug.